"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

function _helperPluginUtils() {
  const data = require("@babel/helper-plugin-utils");

  _helperPluginUtils = function () {
    return data;
  };

  return data;
}

function _presetStage() {
  const data = _interopRequireDefault(require("@babel/preset-stage-1"));

  _presetStage = function () {
    return data;
  };

  return data;
}

function _pluginProposalFunctionBind() {
  const data = _interopRequireDefault(require("@babel/plugin-proposal-function-bind"));

  _pluginProposalFunctionBind = function () {
    return data;
  };

  return data;
}

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var _default = (0, _helperPluginUtils().declare)((api, opts = {}) => {
  api.assertVersion(7);
  const {
    loose = false,
    useBuiltIns = false,
    decoratorsLegacy = false
  } = opts;

  if (typeof loose !== "boolean") {
    throw new Error("@babel/preset-stage-0 'loose' option must be a boolean.");
  }

  if (typeof useBuiltIns !== "boolean") {
    throw new Error("@babel/preset-stage-0 'useBuiltIns' option must be a boolean.");
  }

  if (typeof decoratorsLegacy !== "boolean") {
    throw new Error("@babel/preset-stage-0 'decoratorsLegacy' option must be a boolean.");
  }

  if (decoratorsLegacy !== true) {
    throw new Error("The new decorators proposal is not supported yet." + ' You must pass the `"decoratorsLegacy": true` option to' + " @babel/preset-stage-0");
  }

  return {
    presets: [[_presetStage().default, {
      loose,
      useBuiltIns,
      decoratorsLegacy
    }]],
    plugins: [_pluginProposalFunctionBind().default]
  };
});

exports.default = _default;